Bug 430541 - Review Request: taskcoach - Your friendly task manager
Summary: Review Request: taskcoach - Your friendly task manager
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: José Matos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-01-28 18:02 UTC by Krzysztof Kurzawski
Modified: 2008-02-08 10:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-08 10:52:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jamatos: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)
patch to spec file (1.16 KB, patch)
2008-02-07 10:00 UTC, José Matos
no flags Details | Diff

Description Krzysztof Kurzawski 2008-01-28 18:02:01 UTC
Spec URL: http://kurzawa.nonlogic.org/rpm/taskcoach/taskcoach.spec
SRPM URL: http://kurzawa.nonlogic.org/rpm/taskcoach/taskcoach-0.68.0-1.fc8.src.rpm
Description: Task Coach is a simple open source todo manager to
manage personal tasks and todo lists. It grew out of a
frustration that well-known task managers, such as those
provided with Outlook or Lotus Notes, do not provide
facilities for composite tasks. Often,
tasks and other things todo consist of several activities.
Task Coach is designed to deal with composite tasks.

Comment 1 Rajeesh 2008-02-01 11:46:40 UTC
Hi Krzysztof,
    I cannot sponsor you, but I'm unofficially reviewing your package.
    Your spec looks fine, rpmlint doesn't complain about anything and building
the rpm was just fine.
    So I guess your packaging is just perfect.

Comment 2 Krzysztof Kurzawski 2008-02-01 13:04:55 UTC
Ok, thanks for review!

Comment 3 José Matos 2008-02-02 11:04:40 UTC
Are you sure that the dependency on python 2.5 is correct?

Looking into the news it seems that the correct dependency is 2.4.

Another question: did you change the spec file after submission? I seem to
remember a different spec file when I first looked into it last Monday.

In this case it would be nice to increment the release number nevertheless.
FWIW I am also guilty of doing that, but while reviewer you get to see the
other side. :-)

Comment 4 Krzysztof Kurzawski 2008-02-02 12:26:59 UTC
Fixed
Spec URL: http://kurzawa.nonlogic.org/rpm/taskcoach/taskcoach.spec
SRPM URL: http://kurzawa.nonlogic.org/rpm/taskcoach/taskcoach-0.68.0-2.fc8.src.rpm

Thanks for review!

Comment 5 Krzysztof Kurzawski 2008-02-06 12:01:50 UTC
Can anybody review this?

Comment 6 José Matos 2008-02-06 12:14:33 UTC
I will do it today.

The last few days here were Carnival so I took some time off. I intend to
publish the formal review still later today.

Comment 7 José Matos 2008-02-06 17:04:46 UTC
The package fails to build in rawhide due to the egg-info file not being
declared in %files.

See http://fedoraproject.org/wiki/PackagingDrafts/PythonEggs
for further details.

The fix is easy. :-)

Comment 9 José Matos 2008-02-07 10:00:32 UTC
Created attachment 294196 [details]
patch to spec file

The egg-info file name is different. :-)

The patch attached has three changes:
Fixes the egg-info location.
Excludes the buildlib directory that seems to be used only at build time.
Reorders the file section (it is a matter of style) to put similar items
together.

Comment 11 José Matos 2008-02-07 12:53:13 UTC
One final note, as I have found out while trying this package in rawhide, you
need to add a Requires wxPython because that is not caught in the automatic
dependencies. :-(

It would be nice to have automatic python dependencies like there are for
dynamic libraries or perl modules. We can dream. :-)

There are no additional requirements to this package so it is APPROVED. You
can fix the above problem when importing.

Comment 13 Krzysztof Kurzawski 2008-02-07 13:05:24 UTC
New Package CVS Request
=======================
Package Name: taskcoach
Short Description: Your friendly task manager
Owners: kurzawa
Branches: F-7 F-8
InitialCC:
Cvsextras Commits: yes

Comment 14 Kevin Fenzi 2008-02-07 17:17:00 UTC
cvs done.

Comment 15 Krzysztof Kurzawski 2008-02-08 10:52:06 UTC
Imported and built. Thanks again for review!


Note You need to log in before you can comment on or make changes to this bug.